Package com.zfabrik.svnaccess

## Class SvnDirEntry

- java.lang.Object
- - com.zfabrik.svnaccess.SvnDirEntry

- Direct Known Subclasses:
    `SvnInfo`

      public class SvnDirEntry
      extends java.lang.Object

  Encapsulates information of a dir item during a SVN LIST command including
  - path: path relative to the issued list/info command
  - crRelPath: path relative to the component repository root path
  - revision: path's revision
  - node-kind: path's node-kind - see `NodeKind`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnDirEntry​(java.lang.String path, java.lang.String crRelPath, long revision, NodeKind nodeKind)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCrRelPath()` |
    `NodeKind` | `getNodeKind()` |
    `java.lang.String` | `getPath()` |
    `long` | `getRevision()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnDirEntry

          public SvnDirEntry​(java.lang.String path,
                             java.lang.String crRelPath,
                             long revision,
                             NodeKind nodeKind)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Returns:
        path relative to the svn list url

    - #### getCrRelPath

          public java.lang.String getCrRelPath()

      Returns:
        path relative to the cr-base URL

    - #### getRevision

          public long getRevision()

      Returns:
        last changed revision

    - #### getNodeKind

          public NodeKind getNodeKind()

      Returns:
        dir entry kind (file or dir or ...)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`